org.apache.cassandra.cql3.statements

## Class IndexTarget.Raw

- java.lang.Object
- - org.apache.cassandra.cql3.statements.IndexTarget.Raw

- Enclosing class:
    IndexTarget

      public static class IndexTarget.Raw
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IndexTarget.Raw` | `fullCollection(ColumnDefinition.Raw c)`
    `static IndexTarget.Raw` | `keysAndValuesOf(ColumnDefinition.Raw c)`
    `static IndexTarget.Raw` | `keysOf(ColumnDefinition.Raw c)`
    `IndexTarget` | `prepare(CFMetaData cfm)`
    `static IndexTarget.Raw` | `simpleIndexOn(ColumnDefinition.Raw c)`
    `static IndexTarget.Raw` | `valuesOf(ColumnDefinition.Raw c)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### simpleIndexOn

          public static IndexTarget.Raw simpleIndexOn(ColumnDefinition.Raw c)

    - #### valuesOf

          public static IndexTarget.Raw valuesOf(ColumnDefinition.Raw c)

    - #### keysOf

          public static IndexTarget.Raw keysOf(ColumnDefinition.Raw c)

    - #### keysAndValuesOf

          public static IndexTarget.Raw keysAndValuesOf(ColumnDefinition.Raw c)

    - #### fullCollection

          public static IndexTarget.Raw fullCollection(ColumnDefinition.Raw c)

    - #### prepare

          public IndexTarget prepare(CFMetaData cfm)

Copyright © 2018 The Apache Software Foundation